Page MenuHomePhabricator

Performance review of Editing features
Closed, ResolvedPublic

Description

Features:

  • WikiEditor
  • VisualEditor (including tools from Cite, TemplateData, Citoid)
  • CodeEditor

Focusing specifically on load time. This should help smoothen the transition for some users from the deprecated "core toolbar" (2006 editor) to WikiEditor (2010 editor), and/or VisualEditor's 2017 Wikitext Editor.

A number of existing tasks in VisualEditor-Performance might be relevant.

Event Timeline

Gilles created this task.Jul 19 2017, 7:11 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 19 2017, 7:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

This would be very much appreciated. In particular, the performance of the 2017 Wikitext Editor as compared to other wikitext editors. :-)

Deskana moved this task from To Triage to External and Administrivia on the VisualEditor board.
Peter added a subscriber: Peter.Aug 14 2017, 11:35 AM
Krinkle triaged this task as Normal priority.Aug 23 2017, 7:14 PM
Elitre added a subscriber: Elitre.
Krinkle renamed this task from Performance review of VisualEditor to Performance review of Editing features.Nov 22 2017, 8:32 PM
Krinkle updated the task description. (Show Details)

This would be a good thing to do, but need to coordinate time allocation from both our team and editing teams.

Krinkle removed Krinkle as the assignee of this task.Jan 31 2018, 3:08 AM
Krinkle added a subscriber: Krinkle.
He7d3r added a subscriber: He7d3r.Feb 2 2018, 12:14 PM
Alsee added a subscriber: Alsee.Feb 6 2018, 11:59 PM

Note: VisualEditor already sends load time values back to the server, however actual user-experienced load times are almost twice as long as reported.

Here's a link to some data I posted on this issue. For a one sentence article, reported load time was 2.108 seconds, actual load time was 3.9 seconds. That's 86% longer than reported. For a large page the reported load time was 20.556 seconds, actual load time was 35 seconds. That's 70% longer than reported. I did quite a bit of testing with generally similar results.

Imarlier closed this task as Resolved.Jun 21 2018, 10:27 AM
Imarlier claimed this task.

VisualEditor team - please reach out to Perf if you're interested in doing a review at some point.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 21 2018, 10:27 AM